# $Revision: 1.6 $, $Date: 2004/08/19 00:22:03 $
%define 	modulename pam_login_alert
Summary:	A module that informs admin about logins into system
Summary(pl):	Modu informujcy administratora o logowaniu do systemu
Name:		pam-%{modulename}
Version:	0.10
Release:	3
Epoch:		0
License:	GPL
Vendor:		Dustin Puryear <dpuryear@usa.net>
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/libs/pam/pre/modules/%{modulename}-%{version}.tar.bz2
# Source0-md5:	55591c36291247977fd7e1e824191f05
URL:		http://www.kernel.org/pub/linux/libs/pam/pre/modules/
BuildRequires:	pam-devel
BuildRequires:	sed >= 4
Obsoletes:	pam_login_alert
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alert an administrator via email and/or syslog when a given user(s)
accesses the system. Useful primarily when monitoring user activity
and access.

%description -l pl
Modu informujcy administratora poczt elektroniczn lub przez
sysloga o logowaniu do systemu wybranych uytkownikw. Przydatny
podczas ledzenia aktywnoci uytkownikw.

%prep
%setup -q -c -n %{modulename}-%{version}
# corrects paths
sed -i 's,/etc/login_alert.users,/etc/security/login_alert.users,' *
sed -i 's,/etc/login_alert.conf,/etc/security/login_alert.conf,' *

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags} -shared -lpam"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/security,/%{_lib}/security} \
	   $RPM_BUILD_ROOT%{_mandir}/man8

install pam_login_alert.so $RPM_BUILD_ROOT/%{_lib}/security
install login_alert.conf $RPM_BUILD_ROOT/etc/security/login_alert.conf
install login_alert.users $RPM_BUILD_ROOT/etc/security/login_alert.users
install pam_login_alert.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /%{_lib}/security/pam_login_alert.so
%{_mandir}/man8/*
%config(noreplace) %verify(not size mtime md5) /etc/security/login_alert.conf
%config(noreplace) %verify(not size mtime md5) /etc/security/login_alert.users

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_login_alert.spec,v $
Revision 1.6  2004/08/19 00:22:03  undefine
- release 3

Revision 1.5  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.4  2004/06/10 19:44:23  pzurowski
- use pld-like style paths (as it is in %%files section)
- release 2

Revision 1.3  2003/11/28 10:00:43  qboosh
- Obsoletes for old name without macro, use optflags

Revision 1.2  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.1  2003/11/25 14:44:35  siefca
- leaded common naming conventions for PAM module packages

Revision 1.6  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.5  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/16 22:55:47  qboosh
- pl fixes

Revision 1.2  2003/02/16 00:50:38  ppv
- adapter(ized).awk

Revision 1.1  2003/02/16 00:09:45  misi3k
- initial release
